C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** set the initial solution :                                    ***
C**   -------------------------                                     ***
C**                                                                 ***
      IVEM(30)=LOUT
      IVEM(31)=CNTSLV*OUTFLG*0
 
      CALL VEMU08(T,LU,U,LIVEM,IVEM,
     &            LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &            LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,LNODN,NODNUM,
     &            LNOD,NOD,LNOPRM,NOPARM,
     &            LBIG,RBIG,IBIG,USERU0)
      IF (IVEM(2).NE.0) GOTO 9999
      DO 2000 I=1,LU
	EEST(I)=0
2000  CONTINUE
